CVE-2004-1732
CVSS7.5
发布时间 :2004-08-20 00:00:00
修订时间 :2016-10-17 23:00:05
NMCO    

[原文]SQL injection vulnerability in out.ViewFolder.php in MyDMS before 1.4.2 allows remote attackers to execute arbitrary SQL commands via the folderid parameter.


[CNNVD]MyDMS SQL注入漏洞和目录遍历漏洞(CNNVD-200408-208)

        MyDMS 1.4.2之前版本中out.ViewFolder.php存在SQL注入漏洞。远程攻击者可以通过folderid参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mydms:mydms:1.4.1
cpe:/a:mydms:mydms:1.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1732
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1732
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-208
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109314495007280&w=2
(UNKNOWN)  BUGTRAQ  20040820 Multiple vulnerabilities in MyDMS
http://www.securityfocus.com/bid/10996
(VENDOR_ADVISORY)  BID  10996
http://xforce.iss.net/xforce/xfdb/17054
(VENDOR_ADVISORY)  XF  mydms-folderld-sql-injection(17054)

- 漏洞信息

MyDMS SQL注入漏洞和目录遍历漏洞
高危 SQL注入
2004-08-20 00:00:00 2005-10-20 00:00:00
远程  
        MyDMS 1.4.2之前版本中out.ViewFolder.php存在SQL注入漏洞。远程攻击者可以通过folderid参数执行任意SQL命令。

- 公告与补丁

        The vendor has released version 1.4.3 to address these issues:
        MyDMS MyDMS 1.4
        
        MyDMS MyDMS 1.4.1
        
        MyDMS MyDMS 1.4.2
        

- 漏洞信息

9083
MyDMS out.ViewFolder.php folderid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

MyDMS contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the folderid variable in the out.ViewFolder.php script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2004-08-22 Unknow
2004-08-22 Unknow

- 解决方案

Upgrade to version 1.4.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站